Bug 223051 - targets are not logged into automatically like in RHEL4
targets are not logged into automatically like in RHEL4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 13:18 EST by Mike Christie
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 21:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2007-01-17 13:18:56 EST
Description of problem:

In RHEL4, when the system booted up iscsi targets were logged into
automatically. The docs state that to do this behavior again I should set
node.startup, but the /etc/init.d/iscsi script checks node.conn[0].startup.

Could the docs or iscsi script be updated. This is a regression from RHEL4 where
it just started automatically and is a bug in the docs or script.
Comment 2 RHEL Product and Program Management 2007-01-17 13:41:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Mike Christie 2007-01-17 13:50:21 EST
Oh yeah, here is the fix

RCS file: /cvs/dist/rpms/iscsi-initiator-utils/RHEL-5/iscsi.init,v
retrieving revision 1.7
diff -r1.7 iscsi.init
42c42
<               STARTUP=`iscsiadm -m node -T $target -p $port | grep
"node.conn\[0\].startup" | cut -d' ' -f3`
---
>               STARTUP=`iscsiadm -m node -T $target -p $port | grep
"node.startup" | cut -d' ' -f3`

This now matches the README.
Comment 4 Jay Turner 2007-01-17 14:49:42 EST
Yeah, this should go back into the mix for RHEL5.
Comment 7 Mike Christie 2007-01-17 17:41:43 EST
This is in iscsi-initiator-utils-6.2.0.742-0.4.el5.
Comment 8 RHEL Product and Program Management 2007-02-07 21:17:38 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.